package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordReyaDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 热压记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordReyaMapper extends BaseMapperX<RecordReyaDO> {

    default PageResult<RecordReyaDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordReyaDO>()
                .eq(RecordReyaDO::getRecordId, recordId)
                .orderByDesc(RecordReyaDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordReyaDO::getRecordId, recordId);
    }

}